ComposingDialog

gui

## Class ComposingDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - gui.ComposingDialog

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ChangeListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class ComposingDialog
      extends javax.swing.JDialog
      implements javax.swing.event.ChangeListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnCompose`
    `private javax.swing.JButton` | `btnPlay`
    `private javax.swing.JButton` | `btnSave`
    `private javax.swing.JButton` | `btnStop`
    `private javax.swing.JCheckBox` | `cbAnswerPhrase`
    `private javax.swing.JCheckBox` | `cbCounterPhrase`
    `private javax.swing.JCheckBox` | `cbDrum`
    `private javax.swing.JCheckBox` | `cbDynamics`
    `private javax.swing.JCheckBox` | `cbInitPopMotifs`
    `private javax.swing.JComboBox` | `cbInstrumentAnswer`
    `private javax.swing.JComboBox` | `cbInstrumentCounter`
    `private javax.swing.JComboBox` | `cbInstrumentDrum`
    `private javax.swing.JComboBox` | `cbInstrumentSubject`
    `private javax.swing.JComboBox` | `cbLowestNote`
    `private javax.swing.JCheckBox` | `cbMixInMotifs`
    `private javax.swing.JComboBox` | `cbOctave`
    `private javax.swing.JCheckBox` | `cbPitch`
    `private javax.swing.JCheckBox` | `cbRhythmvalue`
    `private javax.swing.JComboBox` | `cbShortestRhythm`
    `private java.util.ArrayList<IPhrase>` | `composeInput`
    `private javax.swing.JTabbedPane` | `composerSelector`
    `private GeneticComposer` | `gc`
    `private static int` | `GENETIC`
    `private javax.swing.JLabel` | `jLabel1`
    `private javax.swing.JLabel` | `jLabel2`
    `private javax.swing.JPanel` | `jPanel1`
    `private javax.swing.JLabel` | `lblAnswer`
    `private javax.swing.JLabel` | `lblCounter`
    `private javax.swing.JLabel` | `lblDepth`
    `private javax.swing.JLabel` | `lblDepthValue`
    `private javax.swing.JLabel` | `lblDrum`
    `private javax.swing.JLabel` | `lblHoldProp`
    `private javax.swing.JLabel` | `lblIterations`
    `private javax.swing.JLabel` | `lblLowestNote`
    `private javax.swing.JLabel` | `lblMixProp`
    `private javax.swing.JLabel` | `lblMutationProp`
    `private javax.swing.JLabel` | `lblNoteCount`
    `private javax.swing.JLabel` | `lblNoteCountValue`
    `private javax.swing.JLabel` | `lblNrBars`
    `private javax.swing.JLabel` | `lblOctave`
    `private javax.swing.JLabel` | `lblPitchRange`
    `private javax.swing.JLabel` | `lblPop`
    `private javax.swing.JLabel` | `lblShortestRhythm`
    `private javax.swing.JLabel` | `lblSubject`
    `private javax.swing.JLabel` | `lblTempo`
    `private javax.swing.JLabel` | `lblTourSize`
    `private static int` | `MARKOV`
    `private MarkovComposer` | `mc`
    `private AnalyserForm` | `parent`
    `private javax.swing.JPanel` | `pnlButton`
    `private javax.swing.JPanel` | `pnlControl`
    `private javax.swing.JPanel` | `pnlControlButton`
    `private javax.swing.JPanel` | `pnlDepth`
    `private javax.swing.JPanel` | `pnlGenetic`
    `private javax.swing.JPanel` | `pnlInstruments`
    `private javax.swing.JPanel` | `pnlMarkov`
    `private javax.swing.JPanel` | `pnlNoteCount`
    `private javax.swing.JPanel` | `pnlParamBoxes`
    `private javax.swing.JPanel` | `pnlParams`
    `private javax.swing.JPanel` | `pnlParamTitle`
    `private javax.swing.JPanel` | `pnlScoreProperties`
    `private javax.swing.JPanel` | `pnlTempo`
    `private IScore` | `result`
    `private javax.swing.JSlider` | `slDepth`
    `private javax.swing.JSlider` | `slNoteCount`
    `private javax.swing.JSpinner` | `spHoldProp`
    `private javax.swing.JSpinner` | `spIterations`
    `private javax.swing.JSpinner` | `spMixProp`
    `private javax.swing.JSpinner` | `spMutationProp`
    `private javax.swing.JSpinner` | `spNrBars`
    `private javax.swing.JSpinner` | `spPitchRange`
    `private javax.swing.JSpinner` | `spPop`
    `private javax.swing.JSpinner` | `spTempo`
    `private javax.swing.JSpinner` | `spTourSize`
    `private javax.swing.JToolBar` | `toolbar`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComposingDialog(java.awt.Frame parent, boolean modal, java.util.HashMap composeMotifs)` Creates new form ComposingDialog

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areMotifsUsedForPopulation()`
    `private void` | `btnComposeActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnPlayActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnSaveActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnStopActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `cbAnswerPhraseActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `cbCounterPhraseActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `cbDrumActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `cbInitPopMotifsActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `cbInstrumentAnswerItemStateChanged(java.awt.event.ItemEvent evt)`
    `private void` | `cbInstrumentCounterItemStateChanged(java.awt.event.ItemEvent evt)`
    `private void` | `cbInstrumentDrumItemStateChanged(java.awt.event.ItemEvent evt)`
    `private void` | `cbInstrumentSubjectItemStateChanged(java.awt.event.ItemEvent evt)`
    `private void` | `cbMixInMotifsActionPerformed(java.awt.event.ActionEvent evt)`
    `void` | `composerFinished(IScore result)`
    `private void` | `composerSelectorStateChanged(javax.swing.event.ChangeEvent evt)`
    `private void` | `createComposingInput(java.util.HashMap<java.lang.Integer,java.lang.Boolean> composeMotifs)`
    `int` | `getAnswerPhraseInstrument()`
    `boolean` | `getAnswerPhraseMute()`
    `int` | `getCounterPhraseInstrument()`
    `boolean` | `getCounterPhraseMute()`
    `int` | `getDrumPhraseInstrument()`
    `boolean` | `getDrumPhraseMute()`
    `double` | `getInitialHoldPorpability()`
    `int` | `getInitialPitchRange()`
    `int` | `getInitialPopulationSize()`
    `int` | `getLowestNote()`
    `double` | `getMotifMixPropability()`
    `double` | `getMutationPropability()`
    `int` | `getNumberOfBars()`
    `int` | `getNumberOfIterations()`
    `int` | `getPhraseInstrument()`
    `double` | `getShortestRhythmValue()`
    `int` | `getTourSize()`
    `private void` | `initComponents()` This method is called from within the constructor to initialize the form.
    `static void` | `main(java.lang.String[] args)`
    `boolean` | `mixInMotifs()`
    `private void` | `spTempoStateChanged(javax.swing.event.ChangeEvent evt)`
    `void` | `stateChanged(javax.swing.event.ChangeEvent e)`

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MARKOV

          private static final int MARKOV

      See Also:
        Constant Field Values

    - #### GENETIC

          private static final int GENETIC

      See Also:
        Constant Field Values

    - #### parent

          private AnalyserForm parent

    - #### composeInput

          private java.util.ArrayList<IPhrase> composeInput

    - #### result

          private IScore result

    - #### gc

          private GeneticComposer gc

    - #### mc

          private MarkovComposer mc

    - #### btnCompose

          private javax.swing.JButton btnCompose

    - #### btnPlay

          private javax.swing.JButton btnPlay

    - #### btnSave

          private javax.swing.JButton btnSave

    - #### btnStop

          private javax.swing.JButton btnStop

    - #### cbAnswerPhrase

          private javax.swing.JCheckBox cbAnswerPhrase

    - #### cbCounterPhrase

          private javax.swing.JCheckBox cbCounterPhrase

    - #### cbDrum

          private javax.swing.JCheckBox cbDrum

    - #### cbDynamics

          private javax.swing.JCheckBox cbDynamics

    - #### cbInitPopMotifs

          private javax.swing.JCheckBox cbInitPopMotifs

    - #### cbInstrumentAnswer

          private javax.swing.JComboBox cbInstrumentAnswer

    - #### cbInstrumentCounter

          private javax.swing.JComboBox cbInstrumentCounter

    - #### cbInstrumentDrum

          private javax.swing.JComboBox cbInstrumentDrum

    - #### cbInstrumentSubject

          private javax.swing.JComboBox cbInstrumentSubject

    - #### cbLowestNote

          private javax.swing.JComboBox cbLowestNote

    - #### cbMixInMotifs

          private javax.swing.JCheckBox cbMixInMotifs

    - #### cbOctave

          private javax.swing.JComboBox cbOctave

    - #### cbPitch

          private javax.swing.JCheckBox cbPitch

    - #### cbRhythmvalue

          private javax.swing.JCheckBox cbRhythmvalue

    - #### cbShortestRhythm

          private javax.swing.JComboBox cbShortestRhythm

    - #### composerSelector

          private javax.swing.JTabbedPane composerSelector

    - #### jLabel1

          private javax.swing.JLabel jLabel1

    - #### jLabel2

          private javax.swing.JLabel jLabel2

    - #### jPanel1

          private javax.swing.JPanel jPanel1

    - #### lblAnswer

          private javax.swing.JLabel lblAnswer

    - #### lblCounter

          private javax.swing.JLabel lblCounter

    - #### lblDepth

          private javax.swing.JLabel lblDepth

    - #### lblDepthValue

          private javax.swing.JLabel lblDepthValue

    - #### lblDrum

          private javax.swing.JLabel lblDrum

    - #### lblHoldProp

          private javax.swing.JLabel lblHoldProp

    - #### lblIterations

          private javax.swing.JLabel lblIterations

    - #### lblLowestNote

          private javax.swing.JLabel lblLowestNote

    - #### lblMixProp

          private javax.swing.JLabel lblMixProp

    - #### lblMutationProp

          private javax.swing.JLabel lblMutationProp

    - #### lblNoteCount

          private javax.swing.JLabel lblNoteCount

    - #### lblNoteCountValue

          private javax.swing.JLabel lblNoteCountValue

    - #### lblNrBars

          private javax.swing.JLabel lblNrBars

    - #### lblOctave

          private javax.swing.JLabel lblOctave

    - #### lblPitchRange

          private javax.swing.JLabel lblPitchRange

    - #### lblPop

          private javax.swing.JLabel lblPop

    - #### lblShortestRhythm

          private javax.swing.JLabel lblShortestRhythm

    - #### lblSubject

          private javax.swing.JLabel lblSubject

    - #### lblTempo

          private javax.swing.JLabel lblTempo

    - #### lblTourSize

          private javax.swing.JLabel lblTourSize

    - #### pnlButton

          private javax.swing.JPanel pnlButton

    - #### pnlControl

          private javax.swing.JPanel pnlControl

    - #### pnlControlButton

          private javax.swing.JPanel pnlControlButton

    - #### pnlDepth

          private javax.swing.JPanel pnlDepth

    - #### pnlGenetic

          private javax.swing.JPanel pnlGenetic

    - #### pnlInstruments

          private javax.swing.JPanel pnlInstruments

    - #### pnlMarkov

          private javax.swing.JPanel pnlMarkov

    - #### pnlNoteCount

          private javax.swing.JPanel pnlNoteCount

    - #### pnlParamBoxes

          private javax.swing.JPanel pnlParamBoxes

    - #### pnlParamTitle

          private javax.swing.JPanel pnlParamTitle

    - #### pnlParams

          private javax.swing.JPanel pnlParams

    - #### pnlScoreProperties

          private javax.swing.JPanel pnlScoreProperties

    - #### pnlTempo

          private javax.swing.JPanel pnlTempo

    - #### slDepth

          private javax.swing.JSlider slDepth

    - #### slNoteCount

          private javax.swing.JSlider slNoteCount

    - #### spHoldProp

          private javax.swing.JSpinner spHoldProp

    - #### spIterations

          private javax.swing.JSpinner spIterations

    - #### spMixProp

          private javax.swing.JSpinner spMixProp

    - #### spMutationProp

          private javax.swing.JSpinner spMutationProp

    - #### spNrBars

          private javax.swing.JSpinner spNrBars

    - #### spPitchRange

          private javax.swing.JSpinner spPitchRange

    - #### spPop

          private javax.swing.JSpinner spPop

    - #### spTempo

          private javax.swing.JSpinner spTempo

    - #### spTourSize

          private javax.swing.JSpinner spTourSize

    - #### toolbar

          private javax.swing.JToolBar toolbar

  - ### Constructor Detail

    - #### ComposingDialog

          public ComposingDialog(java.awt.Frame parent,
                         boolean modal,
                         java.util.HashMap composeMotifs)

      Creates new form ComposingDialog

  - ### Method Detail

    - #### createComposingInput

          private void createComposingInput(java.util.HashMap<java.lang.Integer,java.lang.Boolean> composeMotifs)

    - #### initComponents

          private void initComponents()

      This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.

    - #### btnComposeActionPerformed

          private void btnComposeActionPerformed(java.awt.event.ActionEvent evt)

    - #### mixInMotifs

          public boolean mixInMotifs()

    - #### areMotifsUsedForPopulation

          public boolean areMotifsUsedForPopulation()

    - #### getPhraseInstrument

          public int getPhraseInstrument()

    - #### getCounterPhraseInstrument

          public int getCounterPhraseInstrument()

    - #### getAnswerPhraseInstrument

          public int getAnswerPhraseInstrument()

    - #### getDrumPhraseInstrument

          public int getDrumPhraseInstrument()

    - #### getAnswerPhraseMute

          public boolean getAnswerPhraseMute()

    - #### getCounterPhraseMute

          public boolean getCounterPhraseMute()

    - #### getDrumPhraseMute

          public boolean getDrumPhraseMute()

    - #### btnPlayActionPerformed

          private void btnPlayActionPerformed(java.awt.event.ActionEvent evt)

    - #### btnStopActionPerformed

          private void btnStopActionPerformed(java.awt.event.ActionEvent evt)

    - #### btnSaveActionPerformed

          private void btnSaveActionPerformed(java.awt.event.ActionEvent evt)

    - #### composerSelectorStateChanged

          private void composerSelectorStateChanged(javax.swing.event.ChangeEvent evt)

    - #### cbInstrumentSubjectItemStateChanged

          private void cbInstrumentSubjectItemStateChanged(java.awt.event.ItemEvent evt)

    - #### cbInstrumentCounterItemStateChanged

          private void cbInstrumentCounterItemStateChanged(java.awt.event.ItemEvent evt)

    - #### cbInstrumentAnswerItemStateChanged

          private void cbInstrumentAnswerItemStateChanged(java.awt.event.ItemEvent evt)

    - #### cbInstrumentDrumItemStateChanged

          private void cbInstrumentDrumItemStateChanged(java.awt.event.ItemEvent evt)

    - #### cbInitPopMotifsActionPerformed

          private void cbInitPopMotifsActionPerformed(java.awt.event.ActionEvent evt)

    - #### cbMixInMotifsActionPerformed

          private void cbMixInMotifsActionPerformed(java.awt.event.ActionEvent evt)

    - #### spTempoStateChanged

          private void spTempoStateChanged(javax.swing.event.ChangeEvent evt)

    - #### cbCounterPhraseActionPerformed

          private void cbCounterPhraseActionPerformed(java.awt.event.ActionEvent evt)

    - #### cbAnswerPhraseActionPerformed

          private void cbAnswerPhraseActionPerformed(java.awt.event.ActionEvent evt)

    - #### cbDrumActionPerformed

          private void cbDrumActionPerformed(java.awt.event.ActionEvent evt)

    - #### getMotifMixPropability

          public double getMotifMixPropability()

    - #### getNumberOfIterations

          public int getNumberOfIterations()

    - #### getNumberOfBars

          public int getNumberOfBars()

    - #### getInitialPopulationSize

          public int getInitialPopulationSize()

    - #### getInitialPitchRange

          public int getInitialPitchRange()

    - #### getLowestNote

          public int getLowestNote()

    - #### getShortestRhythmValue

          public double getShortestRhythmValue()

    - #### getInitialHoldPorpability

          public double getInitialHoldPorpability()

    - #### getTourSize

          public int getTourSize()

    - #### getMutationPropability

          public double getMutationPropability()

    - #### composerFinished

          public void composerFinished(IScore result)

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - the command line arguments

    - #### stateChanged

          public void stateChanged(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`